"use client";

import { Message } from "./components/message";
import { ScrollArea } from "@/components/ui/scroll-area";
import { useTerminalStore } from "@/store/useTerminalStore";

export default function ResultPage() {
  const { type, message, output } = useTerminalStore();
  return (
    <>
      {type && message && (
        <ScrollArea className="h-full bg-[#3e4452]">
          <Message type={type} message={message} />
          {output && (
            <pre className="flex-grow px-4 text-sm text-white">{output}</pre>
          )}
        </ScrollArea>
      )}
    </>
  );
}
